Page MenuHomePhabricator

Checkuser rights not being correctly applied on test.wikipedia.org
Closed, DeclinedPublic

Description

I granted myself checkuser rights on test.wikipedia.org from meta to perform a routine check, but when I go on testwiki, I don't get access to the CheckUser tool and get instead:

"You do not have permission to check user's IP addresses and other information, for the following reason:

The action you have requested is limited to users in the group: CheckUsers."

see https://meta.wikimedia.org/w/index.php?title=Special%3ALog&type=&user=Snowolf&page=User%3ASnowolf%40testwiki&year=&month=-1&tagfilter=&hide_patrol_log=1 and https://test.wikipedia.org/wiki/Special:ListUsers/checkuser where I'm listed but the userright doesn't show up.

Not sure where


Version: wmf-deployment
Severity: critical

Details

Reference
bz41772

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:12 AM
bzimport set Reference to bz41772.
bzimport added a subscriber: Unknown Object (MLST).
Snowolf created this task.Nov 5 2012, 2:04 AM

testwiki doesn't have any particular configuration about checkuser group as far as I can see, is this a mediawiki bug? Perhaps it should be moved to MediaWiki product (user rights).
Can you reproduce it on any other wiki with local CU and/or same MediaWiki version?

Also, have you tried assigning yourself steward or crat local right and make yourself CU from local userrights? (To see if it's an interwiki-userrights problem.)

Local checkuser is not assignable by local crat or local steward.

It should definitely be assignable by a local steward, as that group has the 'userrights' permission.

(In reply to comment #4)

It should definitely be assignable by a local steward, as that group has the
'userrights' permission.

Just in case it's not clear (it wasn't clear to me), he tried and failed: 'userrights' permission seems to be giving only the rights which crats have locally.
Snowolf said this happens only on testwiki.

(In reply to comment #4)

It should definitely be assignable by a local steward, as that group has the
'userrights' permission.

I gave myself local steward and had no more powers that as local 'crat. Seems to me like the whole userright setup there got some major bugs atm.

Just as suddenly as they stopped working, both checkuser and steward userrights resumed their normal work. I don't know if I should close the bug or leave it open so people can figure out what happened :)

Let's keep it open. It might have been a regression fixed somewhere or some weirdness on fenari, but also something occasionally happening and not yet fixed.

This still applies. I was able to replicate it this week.

Live test. I applied the right from meta,

https://meta.wikimedia.org/wiki/Special:UserRights/Billinghurst@testwiki

(show/hide) 22:08, 11 March 2013 Billinghurst (talk | contribs | block) changed group membership for User:Billinghurst@testwiki from (none) to CheckUser (demonstrate fault)

however, the CheckUser right was is granted but is not applied as expected, note the output here ahows in group, but not the right granted

https://test.wikipedia.org/w/index.php?title=Special:ListUsers&group=checkuser

(output)

Billinghurst (talk | contribs | block) (Created on 13 March 2011 at 01:26)
Brion VIBBER (talk | contribs | block)‏‎ (bureaucrat, check user, editor, oversight, reviewer, steward, administrator, patroller) (Created on 16 January 2006 at 02:47)
Mark Bergsma (talk | contribs | block)‏‎ (bureaucrat, check user, editor, importer, oversight, reviewer, administrator, transwiki importer) (Created on 15 August 2007 at 18:14)
Tim Starling (talk | contribs | block)‏‎ (check user, editor, reviewer, administrator, patroller) (Created on 13 January 2006 at 18:57)

It works for me perfectly at the moment, merely took me a couple of moments because testwiki seems to lag behind other wikis, somehow.

works for me now, so closing this as WORKSFORME, and presuming that something somewhere changed with testwiki